com.collabnet.ce.soap60.webservices.page

## Interface IPageAppSoap

- All Known Implementing Classes:
    PageAppSoapMockStub, PageAppSoapStub

      public interface IPageAppSoap

  The web service providing the PCE Functionalities.
  Change History

  Version 7.0
  - createComponent2: New method added to create component and return `PageComponent2SoapDO`
  - getPageComponent: New method added to get page component
  - setLifecycleMetricComponentContent: New method added to set Lifecycle metric page component
  Version 6.1
  - createPage: Two operations with the same name merged into one.
  Version 6.0
  - createPage: New overloaded operation added in 6.0
  Version 5.3
  - addPageImage: New operation added in 5.3
  - listPageImages: New operation added in 5.3
  - getPageImageUrl: New operation added in 5.3
  - deletePageImage: New operation added in 5.3
  Since:
    5.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `addPageImage(String sessionId, String projectId, String fileId, String filename, String mimetype)` Adds an uploaded file as an image for a page.
    `PageComponentSoapDO` | `createComponent(String sessionId, String pageId, String compName, String componentType, boolean topOfPage, int visibility, com.collabnet.ce.soap60.types.SoapNamedValues attributes, String content)` Creates a page component.
    `PageComponent2SoapDO` | `createComponent2(String sessionId, String pageId, String compName, String componentType, boolean topOfPage, int visibility, com.collabnet.ce.soap60.types.SoapNamedValues attributes, String content)` Creates a page component.
    `PageSoapDO` | `createPage(String sessionId, String projectId, String parentId, String title, boolean visible, boolean freeform)` Creates a new project page.
    `void` | `deletePage(String sessionId, String pageId)` Deletes an existing page
    `void` | `deletePageComponent(String sessionId, String pageComponentId)` Deletes an existing page component
    `void` | `deletePageImage(String sessionId, String projectId, String attachmentId)` Deletes the specified attachment of the specified object.
    `PageComponent2SoapDO` | `getPageComponent(String sessionId, String pageComponentId)` Gets page component meta data and settings for a given page component id.
    `PageComponentSoapDO[]` | `getPageComponents(String sessionId, String pageId)` Gets an array of page components for a page (in the correct order)
    `PageSoapDO` | `getPageData(String sessionId, String pageId)` Gets a project page.
    `String` | `getPageImageUrl(String sessionId, String projectId, String attachmentId)` Gets relative URL to access to the uploaded image from an HTML page.
    `PageSoapList` | `getPageList(String sessionId, String projectId)` Gets all pages for a user in the specified project (in the correct order).
    `String` | `getTextComponentContent(String sessionId, String pageCompId)` Gets the content of a Text component.
    `AttachmentSoapList` | `listPageImages(String sessionId, String projectId)` Lists the images for a project.
    `void` | `movePage(String sessionId, String pageFolderPath, String destPath)` Moves a page (including sub pages and contents).
    `void` | `setComponentDisplayOrder(String sessionId, String pageId, String[] componentIds)` Sets the display order for components within a page
    `void` | `setLifecycleMetricComponentContent(String sessionId, PageComponent2SoapDO pageComponent, String content)` Sets Lifecycle metric component.
    `void` | `setPageComponentData(String sessionId, PageComponentSoapDO pageComponent)` Updates a page component
    `void` | `setPageData(String sessionId, PageSoapDO pageData)` Edits an existing page.
    `boolean` | `setPageDisplayOrder(String sessionId, String folderId, String[] childrenPageIds)` Sets the page display order.
    `void` | `setTextComponentContent(String sessionId, String pageCompId, String content)` Sets the content of a Text component.

- - ### Method Detail

    - #### getPageData

          PageSoapDO getPageData(String sessionId,
                                 String pageId)
                          throws RemoteException

      Gets a project page. This API only fetches the page data and does not fetch the component contents.
      Parameters:
        `sessionId` - User session id.
        `pageId` - the pageId for which data is to be fetched.
      Returns:
        the page data
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified page id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      Since:
        5.0

    - #### getTextComponentContent

          String getTextComponentContent(String sessionId,
                                         String pageCompId)
                                  throws RemoteException

      Gets the content of a Text component. The API fetches the HTML source of a text component. Note that only Text components are supported by this API.
      Parameters:
        `sessionId` - User session id.
        `pageCompId` - page component id for which the content/source is to be fetched.
      Returns:
        content of the text component as string
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified page component id is invalid.
        `com.collabnet.ce.soap60.fault.InvalidComponentTypeFault` - if the type of the component is not Text
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      Since:
        5.0

    - #### setTextComponentContent

          void setTextComponentContent(String sessionId,
                                       String pageCompId,
                                       String content)
                                throws RemoteException

      Sets the content of a Text component. The API replaces the existing HTML source of the text component with the new content. Note that only Text components are supported by this API.
      Parameters:
        `sessionId` - User session id.
        `pageCompId` - page component id for which the content/source is to be fetched.
        `content` - the new content
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified page component id is invalid.
        `com.collabnet.ce.soap60.fault.InvalidComponentTypeFault` - if the type of the component is not Text
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - when component data is stale
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - for invalid content
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      Since:
        5.0

    - #### setLifecycleMetricComponentContent

          void setLifecycleMetricComponentContent(String sessionId,
                                                  PageComponent2SoapDO pageComponent,
                                                  String content)
                                           throws RemoteException

      Sets Lifecycle metric component. The API replaces the existing HTML source and other metric properties.
      Parameters:
        `sessionId` - User session id.
        `pageComponent` - the page component to be updated.
        `content` - the html content
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified page component id is invalid.
        `com.collabnet.ce.soap60.fault.InvalidComponentTypeFault` - if the type of the component is not metrics
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - when component data is stale
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - for invalid content
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      Since:
        7.0

    - #### getPageList

          PageSoapList getPageList(String sessionId,
                                   String projectId)
                            throws RemoteException

      Gets all pages for a user in the specified project (in the correct order).
      Parameters:
        `sessionId` - User session id.
        `projectId` - the project for which the pages are to be fetched
      Returns:
        list of pages for the user in the project
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified page component id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      Since:
        5.0

    - #### createPage

          PageSoapDO createPage(String sessionId,
                                String projectId,
                                String parentId,
                                String title,
                                boolean visible,
                                boolean freeform)
                         throws RemoteException

      Creates a new project page.
      Parameters:
        `sessionId` - User session id.
        `projectId` - Id of the project in which the page is to be created
        `parentId` - parent folder id under which the page is to be created, if `null` then a top level page under the project will be created.
        `title` - title of the page
        `visible` - visibility of the page
        `freeform` - true if the page link must be hidden in the left navigation
      Returns:
        the newly created page
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified page component id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - If a page with the same name already exists in the project
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      Since:
        5.0

    - #### setPageData

          void setPageData(String sessionId,
                           PageSoapDO pageData)
                    throws RemoteException

      Edits an existing page. This API will not modify the component data.
      Parameters:
        `sessionId` - User session id.
        `pageData` - the page to be edited.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified page component id is invalid.
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - when page data is stale
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      Since:
        5.0

    - #### getPageComponents

          PageComponentSoapDO[] getPageComponents(String sessionId,
                                                  String pageId)
                                           throws RemoteException

      Gets an array of page components for a page (in the correct order)
      Parameters:
        `sessionId` - User session id.
        `pageId` - the id of the page from which to get the list of components
      Returns:
        array of page components
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified page component id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      Since:
        5.0

    - #### deletePage

          void deletePage(String sessionId,
                          String pageId)
                   throws RemoteException

      Deletes an existing page
      Parameters:
        `sessionId` - User session id.
        `pageId` - the page to be deleted.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified page id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.CannotDeleteHomePageFault` - when the user tries to delete the home page.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      Since:
        5.0

    - #### deletePageComponent

          void deletePageComponent(String sessionId,
                                   String pageComponentId)
                            throws RemoteException

      Deletes an existing page component
      Parameters:
        `sessionId` - User session id.
        `pageComponentId` - the id of the page component to be deleted.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified page id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the specified page id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      Since:
        5.0

    - #### setComponentDisplayOrder

          void setComponentDisplayOrder(String sessionId,
                                        String pageId,
                                        String[] componentIds)
                                 throws RemoteException

      Sets the display order for components within a page
      Parameters:
        `sessionId` - User session id.
        `pageId` - the id of the page where the components belong
        `componentIds` - ids of component in the order which is to be set
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified page component id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      Since:
        5.0

    - #### createComponent

          PageComponentSoapDO createComponent(String sessionId,
                                              String pageId,
                                              String compName,
                                              String componentType,
                                              boolean topOfPage,
                                              int visibility,
                                              com.collabnet.ce.soap60.types.SoapNamedValues attributes,
                                              String content)
                                       throws RemoteException

      Creates a page component.
      Parameters:
        `sessionId` - User session id.
        `pageId` - the id of the page where the component is to be created.
        `compName` - component name
        `componentType` - component type. Valid component types are defined as constants in `PageComponentSoapDO`.
        `topOfPage` - true if the component is to be created at top of the page
        `visibility` - defines the visibility of this component, 1= visible, 0 = hidden.
        `attributes` - component attributes. The values varies with the component:
        - For `COMPONENT_TYPE_DOCUMENTS`, attribute `documentFolder` must be specified.
        - For `COMPONENT_TYPE_GRAPH`, no attributes are required but cannot be null .
        - For `COMPONENT_TYPE_TEXT`, no attributes are required but cannot be null .
        - For `COMPONENT_TYPE_NEWS`, no attributes are required but cannot be null .
        - For `COMPONENT_TYPE_TRACKER`, attributes `trackerSearchesIds` and `count` must be specified.
        - For `COMPONENT_TYPE_WIKI`, attribute `wikiTopic` must be specified.
        - For `COMPONENT_TYPE_SUBPROJECTS`, attribute `subprojects` must be specified.
        `PageComponentSoapDO` has constant declarations for all attribute keys to be used for the attributes.
        `content` - text component content, applicable for Text components and Lifecycle metrics components.
      Returns:
        the newly created component
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified page component id is invalid.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - for incorrect parameter values
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - If a component with the same name already exists in the page
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      Since:
        5.0

    - #### createComponent2

          PageComponent2SoapDO createComponent2(String sessionId,
                                                String pageId,
                                                String compName,
                                                String componentType,
                                                boolean topOfPage,
                                                int visibility,
                                                com.collabnet.ce.soap60.types.SoapNamedValues attributes,
                                                String content)
                                         throws RemoteException

      Creates a page component. Just like `createComponent` but also creates `COMPONENT_TYPE_LIFECYCLE_METRICS` and returns `PageComponent2SoapDO` object. For `COMPONENT_TYPE_TEXT` and `COMPONENT_TYPE_LIFECYCLE_METRICS` html source can be fetched from `readOnlyTextSource` property of `PageComponent2SoapDO`
      Parameters:
        `sessionId` - User session id.
        `pageId` - the id of the page where the component is to be created.
        `compName` - component name
        `componentType` - component type. Valid component types are defined as constants in `PageComponent2SoapDO`.
        `topOfPage` - true if the component is to be created at top of the page
        `visibility` - defines the visibility of this component, 1= visible, 0 = hidden.
        `attributes` - component attributes. The values varies with the component:
        - For `COMPONENT_TYPE_DOCUMENTS`, attribute `documentFolder` must be specified.
        - For `COMPONENT_TYPE_GRAPH`, no attributes are required but cannot be null .
        - For `COMPONENT_TYPE_TEXT`, no attributes are required but cannot be null .
        - For `COMPONENT_TYPE_LIFECYCLE_METRICS`, no attributes are required but cannot be null.
        - For `COMPONENT_TYPE_NEWS`, no attributes are required but cannot be null .
        - For `COMPONENT_TYPE_TRACKER`, attributes `trackerSearchesIds` and `count` must be specified.
        - For `COMPONENT_TYPE_WIKI`, attribute `wikiTopic` must be specified.
        - For `COMPONENT_TYPE_SUBPROJECTS`, attribute `subprojects` must be specified.
        `PageComponent2SoapDO` has constant declarations for all attribute keys to be used for the attributes.
        `content` - text component content, applicable for Text components and Lifecycle metrics components.
      Returns:
        the newly created component
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified page component id is invalid.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - for incorrect parameter values
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - If a component with the same name already exists in the page
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      Since:
        7.0

    - #### setPageComponentData

          void setPageComponentData(String sessionId,
                                    PageComponentSoapDO pageComponent)
                             throws RemoteException

      Updates a page component
      Parameters:
        `sessionId` - User session id.
        `pageComponent` - the page component to be updated.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified page id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the specified page id is invalid.
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - when the component data is stale.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - for incorrect data.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      Since:
        5.0

    - #### setPageDisplayOrder

          boolean setPageDisplayOrder(String sessionId,
                                      String folderId,
                                      String[] childrenPageIds)
                               throws RemoteException

      Sets the page display order. This API will not modify the component data.
      Parameters:
        `sessionId` - User session id.
        `folderId` - the folder to be used.
        `childrenPageIds` - page keys in the new intended order based on array order must pass in all pages.
      Returns:
        true is the update went perfectly. false is the update succeeded, but had to deal with deleted/new folders.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified page component id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      Since:
        5.0

    - #### movePage

          void movePage(String sessionId,
                        String pageFolderPath,
                        String destPath)
                 throws RemoteException

      Moves a page (including sub pages and contents).
      Parameters:
        `sessionId` - User session id.
        `pageFolderPath` - The path to the page to move
        `destPath` - The path of the destination parent folder
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified folder component id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      Since:
        5.0

    - #### addPageImage

          String addPageImage(String sessionId,
                              String projectId,
                              String fileId,
                              String filename,
                              String mimetype)
                       throws RemoteException

      Adds an uploaded file as an image for a page.
      Parameters:
        `sessionId` - User session id.
        `projectId` - Project id.
        `fileId` - Image file ID returned by FileStorageApp/SimpleFileStorageApp webservice.
        `filename` - Image file name.
        `mimetype` - Image file type.
      Returns:
        attachment id of the added image
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when permission is denied for the specified operation.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      Since:
        5.3

    - #### listPageImages

          AttachmentSoapList listPageImages(String sessionId,
                                            String projectId)
                                     throws RemoteException

      Lists the images for a project.
      Parameters:
        `sessionId` - User session id.
        `projectId` - Project id.
      Returns:
        List of page images as AttachmentSoapList.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when permission is denied for the specified operation.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      Since:
        5.3

    - #### getPageImageUrl

          String getPageImageUrl(String sessionId,
                                 String projectId,
                                 String attachmentId)
                          throws RemoteException

      Gets relative URL to access to the uploaded image from an HTML page. To embed an uploaded image in an HTML page, specify the string returned by this call as src in the img tag, no need to add protocol or server name as prefix.
      Parameters:
        `sessionId` - User session id.
        `projectId` - Project id.
        `attachmentId` - Attachment id of the image.
      Returns:
        the relative URL for the image.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when permission is denied for the specified operation.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      Since:
        5.3

    - #### deletePageImage

          void deletePageImage(String sessionId,
                               String projectId,
                               String attachmentId)
                        throws RemoteException

      Deletes the specified attachment of the specified object.
      Parameters:
        `sessionId` - User session id.
        `projectId` - Project id.
        `attachmentId` - The attachment id.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      Since:
        5.3

    - #### getPageComponent

          PageComponent2SoapDO getPageComponent(String sessionId,
                                                String pageComponentId)
                                         throws RemoteException

      Gets page component meta data and settings for a given page component id. For `COMPONENT_TYPE_TEXT` and `COMPONENT_TYPE_LIFECYCLE_METRICS` html source can be fetched from `readOnlyTextSource` property of `PageComponent2SoapDO`
      Parameters:
        `sessionId` - User session id.
        `pageComponentId` - the id of the page component from which to get the component
      Returns:
        page component
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified page component id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      Since:
        7.0

Copyright © 2020 CollabNet. All rights reserved.